%define upstream_name Module-Install-ReadmeMarkdownFromPod
%define upstream_version 0.03

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Create README.mkdn from POD
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(URI::Escape)

BuildArch:	noarch

%description
Module::Install::ReadmeMarkdownFromPod is a Module::Install extension
that generates a "README.mkdn" file automatically from an indicated file
containing POD whenever the author runs "Makefile.PL". This file is used
by GitHub to display nicely formatted information about a repository.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-3.mga6
+ Revision: 1030088
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.30.0-2.mga6
+ Revision: 969423
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.30.0-1.mga6
+ Revision: 868699
- imported package perl-Module-Install-ReadmeMarkdownFromPod

